<?php

class modSchetmashFormPaymentsProcessor extends modObjectProcessor
{
  // public $objectType = 'modSchetmashItem';
   // public $classKey = 'modSchetmashItem';
    public $languageTopics = ['modschetmash'];
    //public $permission = 'save';


    /**
     * @return array|string
     */
    public function process()
    {
         
        if (!$this->checkPermissions()) {
            return $this->failure($this->modx->lexicon('access_denied'));
        }        
   
        $msPayment = array(); 

        $setting = $this->modx->newQuery('msPayment');
        $setting->select('id,name');
        $setting->where(array('active' => 1)); 
        if( $setting->prepare() && $setting->stmt->execute() ) {
			$msPayment = $setting->stmt->fetchAll(PDO::FETCH_ASSOC);
		}
 
        return $this->outputArray($msPayment);
    }

}

return 'modSchetmashFormPaymentsProcessor';
