<?php

header('Content-Type: application/json');


define('MODX_API_MODE', true);
require_once($_SERVER['DOCUMENT_ROOT'].'/index.php');
$modx=new modX();
$modx->initialize('web');


$json = new \stdClass;
$json->status = 'error';
$denied = false; 

$schetmash_api_token = $modx->getObject('modSystemSetting', 'modschetmash_api_token' )->get('value');
if(!empty($schetmash_api_token)) { 

    if(!isset($_GET['api_token']) || strcasecmp($schetmash_api_token, (string)$_GET['api_token']) !== 0) {
         $denied = true;
         $json->status = 'denied';
         $modx->log(1, 'Ответ через api не принят, не совпадает "api_token"', '', 'modSchetmash');
    } 
}

if(!$denied) {
    $data = json_decode( file_get_contents('php://input') ); 
    if(is_object($data)){   
        $modSchetmash = $modx->getService('modSchetmash', 'modSchetmash', MODX_CORE_PATH . 'components/modschetmash/model/');
        $result = $modSchetmash->updateCheck($data);
        if($result['status']) {	$json->status = 'success'; }
    }
}	


 echo json_encode($json);