modSchetmash.window.CreateItem = function (config) {
    config = config || {};
    if (!config.id) {
        config.id = 'modschetmash-item-window-create';
    }
    Ext.applyIf(config, {
        title: _('modschetmash_settings'),
        width: 550,
        autoHeight: true,
        url: modSchetmash.config.connector_url,
        action: 'mgr/form/updateform',
        fields: this.getFields(config),
        keys: [{
            key: Ext.EventObject.ENTER, shift: true, fn: function () {
                this.submit()
            }, scope: this
        }]
    });
    modSchetmash.window.CreateItem.superclass.constructor.call(this, config);
};
Ext.extend(modSchetmash.window.CreateItem, MODx.Window, {

    getFields: function (config) {
        return [{
            xtype: 'textfield',
            fieldLabel: _('modschetmash_login'),
            name: 'modschetmash_login',
            id: config.id + '-login',
            anchor: '97%',
            allowBlank: false,
        }, {
            xtype: 'text-password',
            fieldLabel: _('modschetmash_password'),
            name: 'modschetmash_password',
            id: config.id + '-passwor', 
            anchor: '97%'
        }, {
            xtype: 'textfield',
            fieldLabel: _('modschetmash_shop_id'),
            name: 'modschetmash_shop_id',
            id: config.id + '-shop_id',
            anchor: '97%'
        },
        {
            xtype: 'modSchetmash-combo-options',
            fieldLabel: _('modschetmash_payments'),
            name: 'modschetmash_payments',
            id: config.id + '-payments',
            anchor: '97%'
        }
        ];
    },

    loadDropZones: function () {
    }

});
Ext.reg('modschetmash-item-window-create', modSchetmash.window.CreateItem);


modSchetmash.combo.Options = function (config) {
    config = config || {};
    Ext.applyIf(config,{
        xtype:'superboxselect'
        ,allowBlank: true
        ,msgTarget: 'under'
        ,allowAddNewData: true
        ,addNewDataOnBlur : true
        ,resizable: true
        ,name: 'modschetmash_payments'
        ,anchor:'97%'
        ,minChars: 2
        ,store:new Ext.data.JsonStore({
            id: config.id + '-payments'
            ,root:'results'
            ,autoLoad: false
            ,autoSave: false
            ,totalProperty:'total'
            ,fields: ['id','name']
            ,url: modSchetmash.config.connector_url
            ,baseParams: {
                action: 'mgr/form/payments'
                ,key: config.name
            }
        })
        ,mode: 'remote'
        ,displayField: 'name'
        ,valueField: 'id'  
        ,triggerAction: 'all'
        ,extraItemCls: 'x-tag'
        ,expandBtnCls: 'x-form-trigger'
        ,clearBtnCls: 'x-form-trigger'
        ,renderTo: Ext.getBody()
        ,listeners: {
            newitem: function(bs,v, f) {bs.addItem({tag: v});},
        }
    });
    config.name += '[]';
    modSchetmash.combo.Options.superclass.constructor.call(this,config);
};
Ext.extend(modSchetmash.combo.Options, Ext.ux.form.SuperBoxSelect);
Ext.reg('modSchetmash-combo-options', modSchetmash.combo.Options);