<?php

class modSchetmashFormGetFormProcessor extends modObjectProcessor
{
  // public $objectType = 'modSchetmashItem';
   // public $classKey = 'modSchetmashItem';
    public $languageTopics = ['modschetmash'];
    //public $permission = 'save';


    /**
     * @return array|string
     */
    public function process()
    {
         
        if (!$this->checkPermissions()) {
            return $this->failure($this->modx->lexicon('access_denied'));
        } 
        
        $arr = array(); 

        $setting = $this->modx->newQuery('modSystemSetting');
        //$setting->where(array('namespace' => 'modschetmash'));
        $setting->where( array('key:IN' => array( 'modschetmash_login', 'modschetmash_payments[]', 'modschetmash_shop_id')  ));  
        $relatedSettings = $this->modx->getCollection('modSystemSetting', $setting );
        foreach ( $relatedSettings as $sett ) { 
            $arr[$sett->get('key')] = $sett->get('value');        
        }
    
        return $this->outputArray($arr);
    }

}

return 'modSchetmashFormGetFormProcessor';
