<?php

class modSchetmashItemUpdateaddProcessor extends modObjectProcessor
{
    //public $objectType = 'modSchetmashItem';
    //public $classKey = 'modSchetmashItem';
    public $languageTopics = ['modschetmash'];
    //public $permission = 'save';


    /**
     * @return array|string
     */
    public function process()
    {
             

        if (!$this->checkPermissions()) {
            return $this->failure($this->modx->lexicon('access_denied'));
        }      

        $id = $this->modx->fromJSON($this->getProperty('id'));
        $order_id = $this->modx->fromJSON($this->getProperty('order_id'));
        $operation = $this->modx->fromJSON($this->getProperty('operation'));
        
        if (empty($id) || empty($order_id) || empty($operation)) {
            return $this->failure($this->modx->lexicon('modschetmash_item_err_ns'));
        }

        $modSchetmash = $this->modx->getService('modSchetmash', 'modSchetmash', MODX_CORE_PATH . 'components/modschetmash/model/');
        $response = $modSchetmash->addCheck($order_id, $operation, $id);

        if($response['status'] === false) {
            return $this->failure($response['mess']);
        } else {
            return $this->success($response['mess']);
        }        

        return $this->success();
    }

}

return 'modSchetmashItemUpdateaddProcessor';
